
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>asp.net与asp的session共享 及 asp的请求拦截 / iVAN</title>

    <meta name="description" content="asp.net与asp的session共享 及 asp的请求拦截 asp.net 与 asp 的session是无法直接共享的(底层的处理dll也不一样),要想互通session,只能用变通的办法: 一.asp.net -&gt; asp 的session传递 a) 建一个类似SessionHanler.asp的页面,代码如下: &lt;!-- #include virtual=&quot;inc/Func.asp&quot; --&gt; &lt;% Dim returnUrl Session(&quot;user&quot;) = Request(&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">asp.net与asp的session共享 及 asp的请求拦截</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net 与 asp 的session是无法直接共享的(底层的处理dll也不一样)，要想互通session，只能用变通的办法:</p>
<p>一、asp.net -&gt; asp 的session传递</p>
<p>a) 建一个类似SessionHanler.asp的页面，代码如下：</p>
<pre>&lt;!-- #include virtual="inc/Func.asp" --&gt;
&lt;%
    Dim returnUrl
    Session("user") = Request("user")
    Set returnUrl = Request("returnUrl")
    if returnUrl="" then
        returnUrl = "home.asp"
    end if    

    '记日志
    AppendFile "/log/log.txt" , Now() &amp; "，user:"&amp;Session("user") &amp;"，returnUrl:" &amp; returnUrl

    Response.Redirect(returnUrl)
%&gt;
</pre>
<p> 大概功能，就是接收参数，然后按需要生成Session，最后重定向到真正的功能页面，这样其它页面访问Session时就有值了</p>
<p>b) 建一个asp.net页面，把需要传递的值，以参数形式提交到 SessionHanler.asp  （POST或GET方式都行），参考代码：</p>
<pre>using System;

namespace ASP_ASPX_TEST
{
    public partial class index : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {
                string returnUrl = "home.asp";
                string sessoinHandlerUrl = "SessionHandler.asp";
                string postData = "user=" + this.txtUser.Text + "&amp;returnUrl=" + returnUrl;
                Response.Redirect(sessoinHandlerUrl + "?" + postData);
            }
        }
    }
}
</pre>
<p> 二、asp -&gt; asp.net 的session传递</p>
<p>反过来做即可，原理完全相同。</p>
<p>三、拦截asp请求</p>
<p>对于现有的asp项目，在不修改其asp源代码的前提下，如果需要对http请求加以拦截（例如：把拦截到的请求参数做些处理，再转发到其它子系统。同时不影响原来asp项目的正常运行），有二种做法:</p>
<p>a) 自行开发ISAPI 筛选器 ，然后在IIS里，把自己开发的dll加入ISAPI 筛选器</p>
<p>这个方法比较繁琐，技术难度也相对较高，在今天.net的时代，不推荐大家使用，有兴趣的可以参考一个开源项目: <a href="http://filterdotnet.codeplex.com/" rel="external nofollow noreferrer">http://filterdotnet.codeplex.com/</a></p>
<p>以及 一些ISAPI的开发文章，比如</p>
<p>ISAPI开发介绍 <a href="http://blog.csdn.net/mycoolx/article/details/6913048" rel="external nofollow noreferrer">http://blog.csdn.net/mycoolx/article/details/6913048</a></p>
<p>ISAPI tutorial for Delphi developers <a href="http://delphi.about.com/library/bluc/text/uc060901c.htm" rel="external nofollow noreferrer">http://delphi.about.com/library/bluc/text/uc060901c.htm</a></p>
<p>delphi IIS ISAPI <a href="http://www.cnblogs.com/cisky/archive/2011/01/05/1926249.html" rel="external nofollow noreferrer">http://www.cnblogs.com/cisky/archive/2011/01/05/1926249.html</a></p>
<p>delphi IIS ISAPI  <a href="http://siyebocai.blog.163.com/blog/static/103316426200810297512408/" rel="external nofollow noreferrer">http://siyebocai.blog.163.com/blog/static/103316426200810297512408/</a></p>
<p>用Delphi编写 IIS ISAPI 程序 <a href="http://download.csdn.net/detail/wwwvvingnet/2229146" rel="external nofollow noreferrer">http://download.csdn.net/detail/wwwvvingnet/2229146</a></p>
<p>在Delphi中用IIS或PWS调试ISAPI程序 <a href="http://bbs.csdn.net/topics/7979" rel="external nofollow noreferrer">http://bbs.csdn.net/topics/7979</a></p>
<p>b) 利用asp.net的HttpModule (环境：IIS7 /Asp.Net 4.0上 测试通过)</p>
<p>前提：Asp项目所用的应用程序池必须采用＂集成＂模式</p>
<p>先建一个HttpModule</p>
<pre>using System;
using System.IO;
using System.Web;

namespace ASP_ASPX_TEST
{
    public class MyHttpModule : IHttpModule
    {
        string logFileName;

        public MyHttpModule()
        {
            logFileName = HttpContext.Current.Server.MapPath("~/log/request.log");
        }

        public void Dispose()
        {

        }

        public void Init(HttpApplication context)
        {
            context.BeginRequest += BeginRequestHandle;
            context.EndRequest += EndRequestHandle;

        }

        private void BeginRequestHandle(Object source, EventArgs e)
        {

            HttpApplication application = (HttpApplication)source;
            HttpContext context = application.Context;
            HttpRequest request = context.Request;

            File.AppendAllText(logFileName,Environment.NewLine + request.Url + Environment.NewLine + "BeginRequest =&gt; " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss") + Environment.NewLine);
            foreach (var item in request.QueryString.AllKeys)
            {
                File.AppendAllText(logFileName, string.Format("  QueryString =&gt; {0}:{1}", item, request.QueryString[item]) + Environment.NewLine);
            }

            foreach (var item in request.Form.AllKeys)
            {
                File.AppendAllText(logFileName, string.Format("  Form =&gt; {0}:{1}", item, request.Form[item]) + Environment.NewLine);
            }
            context.Response.Write("BeginRequestHandle&lt;br/&gt;");

        }

        private void EndRequestHandle(Object source, EventArgs e)
        {
            HttpApplication application = (HttpApplication)source;
            HttpContext context = application.Context;
            HttpRequest request = context.Request;

            File.AppendAllText(logFileName, Environment.NewLine + request.Url + Environment.NewLine + "EndRequest =&gt; " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss") + Environment.NewLine);
            foreach (var item in request.QueryString.AllKeys)
            {
                File.AppendAllText(logFileName, string.Format("  QueryString =&gt; {0}:{1}", item, request.QueryString[item]) + Environment.NewLine);
            }

            foreach (var item in request.Form.AllKeys)
            {
                File.AppendAllText(logFileName, string.Format("  Form =&gt; {0}:{1}", item, request.Form[item]) + Environment.NewLine);
            }
            context.Response.Write("EndRequestHandle&lt;br/&gt;");
        }
    }
}
</pre>
<p> 这里只是演示代码，我把所有请求的QueryString和Form参数都记录了下来。</p>
<p>web.config中修改配置</p>
<pre>&lt;?xml version="1.0" encoding="UTF-8"?&gt;

&lt;configuration&gt;
  &lt;system.web&gt;
    &lt;compilation debug="true" targetFramework="4.0" /&gt;
  &lt;/system.web&gt;

  &lt;system.webServer&gt;
    &lt;modules runAllManagedModulesForAllRequests="true"&gt;
      &lt;add name="MyHttpModule" type="ASP_ASPX_TEST.MyHttpModule,ASP_ASPX_TEST" /&gt;
    &lt;/modules&gt;
  &lt;/system.webServer&gt;

&lt;/configuration&gt;
</pre>
<p> 注：IIS7及以上版本，自定义的HttpModule，必须加到 system.webServer节点下，否则只能拦截asp.net的请求，对asp无效</p>
<p>最后赠送一个asp调试的小技巧(自从asp.net出来以后，很多人估计象我一样，已经很久不碰asp，这些小技巧差不多忘记光了，贴在这里备份一下)</p>
<p>IE浏览器里先去掉 友好错误的勾选</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzI3NjEyLzIwMTMwNS8yOTA4MzY1NC1jZGQyNWZmZmM4YzQ0OWExYjBiZDMxZTNhZjU4NTBiOA==.jpg"></p>
<p>IIS设置里，允许发送详细错误到客户端</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzI3NjEyLzIwMTMwNS8yOTA4Mzk0Mi01YWRkM2I0NDMwNmM0YTZkYTFlNzBjMjVmMmZjMTJjZg==.jpg"></p>
<p>这样，asp代码出错时，就会显示详细信息了</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzI3NjEyLzIwMTMwNS8yOTA4NDcyMi03YzY0OGE4NWFmM2U0OWFjYjhlZDhjYjQwYTE5ZjZkZA==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 22:29:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/form/" title="form">form</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/asp/" title="asp">asp</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/iis/" title="iis">iis</a>, <a href="https://www.iamivan.net/tag/source/" title="source">source</a>, <a href="https://www.iamivan.net/tag/webserver/" title="webserver">webserver</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>asp.net与asp的session共享 及 asp的请求拦截的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJxm1M.html" rel="bookmark">asp&period;net 用sqlserver 实现session共享 &lpar;100&percnt;成功&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				亲爱的朋友, 下载此文档,我想你一定跟我一样,因为session共享问题,一直苦无良策吧? 为此,我试验了很多种方法,都不能成功!后来经常不断尝试,最终发现了原因,终于解决了. 一,配置原因描述:    共享session是因为在公司开发时,WEB发布到服务器上要配置多个站点, 如: www.yd009.com  news.yd009.com product.yd009.com  这几个站点上,都 有登录 信息, 都 会在主站有链接 过来.如果主站登录了,跳到这几个二级域名,也同样可以登录状态.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z036z.html" rel="bookmark">分布式中使用Redis实现Session共享&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇介绍了如何使用nginx+iis部署一个简单的分布式系统,文章结尾留下了几个问题,其中一个是&quot;如何解决多站点下Session共享&quot;.这篇文章将会介绍如何使用Redis,下一篇在此基础上实现Session. 这里特别说明一下,其实没有必要使用Redis来解决Session共享.Asp.net提供了StateServer模式来共享Session,这里重复造轮子的目的1:熟悉Redis的基本知识和使用 2.学习和巩固Session的实现原理. 3.学习Redis应用场景 阅读目录 Re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrrJ4p.html" rel="bookmark">ASP&period;NET实现在不同的子域中Session共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天遇到了这个问题,于是研究了一下.要解决这个问题,首先就要明白一些Session的机理.Session在服务器是以散列表形式存在的,我们都知道Session是会话级的,每个用户访问都会生成一个Session.那么服务器是怎么区分不同用户的Session?又是怎么将不同用户的Session与不同的用户绑定的呢?下面我们来研究一下,以下纯属我个人的理解,如有错误请指证. Session在服务器端是以散列表的形式存在的,区分每一个Session是通过SessionID来实现的,所以可以说这个Sess			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydBWdb.html" rel="bookmark">ASP&period;NET实现跨子站点和跨服务器之间的session共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问,在ASP.NET系统中,如何实现二级域名子站点和跨服务器之间的session共享呢?求指点. 解决方案 解决方案二:估计不能,还是估计不能.解决方案三:cookies可以二级域名共享HttpCookiecookies=newHttpCookie();cookies.Domain=&quot;baidu.com&quot;;解决方案四:引用2楼liuchaolin的回复: cookies可以二级域名共享HttpCookiecookies=newHttpCookie();cookies.Dom			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ7Nqp.html" rel="bookmark">&lbrack;Asp&period;Net&rsqb;状态管理（Session、Application、Cache、Cookie 、Viewstate、隐藏域 、查询字符串）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[Asp.Net]状态管理(Session.Application.Cache.Cookie .Viewstate.隐藏域 .查询字符串) Session:  1. 客户在服务器上第一次打开Asp.Net页面时,会话就开始了.当客户在20分钟之内没有访问服务器,会话结束,销毁session.(当然也可以在Web.config中设置缓存时间)可以在Global.aspx的Session_Start()事件处理程序中,可以初始化会话变量.在下面的实例中,名为mydata的会话状态被初始化为0:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw4PRb.html" rel="bookmark">把ASP应用中的Session传递给asp&period;net应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|session 最近做一个业务处理系统,因为它原有的用户系统使用ASP开发,在新的业务系统中使用了ASP.NET,ASP.NET APPLICATION要使用原来的ASP用户系统,于是问题出现了,ASP APPLICATION怎样才能让用户登录的状态及用户信息在ASP.NET中依然有效呢.于是我们考虑用构造FORM来自动提交传递ASP应用中的Session变量.例子如下ASP应用URL为http://127.0.0.1/asp/,并在ASP.NET应用中的web.config设定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEL2Az.html" rel="bookmark">Asp&period;Net中NHiernate的Session的管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|session NHibernate中的Session,在我的理解似乎就相当于数据库中连接.因为它也有Open/Close的方法,我没有研究NHibernate的源码,不知道这种理解是否有误?我在网上搜了很多的关于Session的管理,大多都是在我需要数据库操作的时候,就OpenSession(),操作完后就CloseSession().这有点拟似如我们刚开始学习ADO.NET的时候,要Connection对象Open(),数据处理完后就Close().但是这里就带来了一个弊端,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRrwdz.html" rel="bookmark">统计人数-ASP&period;NET怎么样不通过session统计在线人数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ASP.NET怎么样不通过session统计在线人数 我们家网站sessionmode是StateServer,不会进入Session_end方法,现在客户要求做一个统计在线人数的功能,该怎么做?? 解决方案 建立一个数据库表,记录sessionid和开始时间,session_start的时候表中写入sessionid和开始时间,并且执行下删除语句(开始时间大于30分钟的记录,这个间隔自己定了),然后更新下application计数. 用户每次访问页面的时候更新sessionid对应的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr0AWM.html" rel="bookmark">后台-asp&period;net  sessionState设置后session值永远第一个怎么回事？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net sessionState设置后session值永远第一个怎么回事? 1.将Session的mode设置为StateServer以后,发现Session取值老是取到第一个赋值的值.打个比方 比如Session[&quot;V&quot;]=&quot;1236&quot;,一会不管你怎么赋值,Session[&quot;V&quot;]=&quot;aaa&quot;,调式的时候发现Session[&quot;V&quot;]的值是aaa,但是实际取的值就是Session[&quo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrBvWM.html" rel="bookmark" class="title">使用ADO&period;NET轻松操纵数据库</a>
					<div>
						ado|数据|数据库 ADO.NET提供了Connection来连接数据库,同时也提供了Command对象来查询数据库.同Connection对象一样,Command也有两种:OleDbCommand ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY80Bb.html" rel="bookmark" class="title">VB&period;Net中文教程&lpar;3&rpar; 继承与封装性</a>
					<div>
						封装|继承|教程|中文 1. 继承与封装性(Encapsulation)1.1 公用与私有数据 前面已介绍「封藏性」(Encapsulation) 之观念.即是﹕类别内所定义之资料成员﹐只限于程序成员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2vokb.html" rel="bookmark" class="title">对话整理：关于namespace&excl;</a>
					<div>
						 VFan Yan      在名字空间中using system这样的是引用了名字空间,namespace Myname 这样是做什么用的?----------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ77Bqb.html" rel="bookmark" class="title">ASP&period;NET MVC中的视图生成简介</a>
					<div>
						在 ASP.NET MVC 中,我们将前端的呈现划分为三个独立的部分来实现,Controller 用来控制用户的操作,View 用来控制呈现的内容,Model 用来表示处理的数据. 从控制器到视图 通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRV7qz.html" rel="bookmark" class="title">ASP&period;NET 2&period;0在SQL Server 2005上自定义分页</a>
					<div>
						出处:http://aspnet.4guysfromrolla.com/demos/printPage.aspx?path=/articles/031506-1.aspx 介绍 web开发中普遍会用页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7vnNM.html" rel="bookmark" class="title">Windows 7插入USB不自动播放的解决办法</a>
					<div>
						当我们将USB等移动存储设备插入电脑主机时,系统一般都会弹出一个对话框,询问用户选择一个项进行操作(默认情况下,系统是将&quot;打开文件夹以查看文件&quot;为首选项,如图1).现在,一部分Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PKDmM.html" rel="bookmark" class="title">python实用代码片段收集贴</a>
					<div>
						  这篇文章主要介绍了python实用代码片段收集贴,本文收集了如获取一个类的所有子类.计算运行时间.SQLAlchemy简单使用.实现类似Java或C中的枚举等实用功能代码,需要的朋友可以参考下 获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZZW7z.html" rel="bookmark" class="title">Win8&sol;win8&period;1系统应用视图怎么打开</a>
					<div>
						  从win7升级到Win8/win8.1系统后用户对操作界面比较陌生,很多设置都不知道在哪里,比如Win8/win8.1系统应用视图怎么打开?打开开始菜单,找不到电脑中安装的应用程序在哪里.这时候我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze763OM.html" rel="bookmark" class="title">人脉如何搜索我的联系人？</a>
					<div>
						如何搜索我的联系人? 以下是几种快速获取特定联系人的方法: 搜索   在&quot;开始&quot;屏幕上,点击或单击&quot;人脉&quot;. 从屏幕右边缘向中间轻扫,然后点击&quot;搜索& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGPLrp.html" rel="bookmark" class="title">十大热门超极本谁更胜一筹</a>
					<div>
						  超极本目前是市场上关注度较高的产品.外观上的极度纤薄,使得超极本在第一眼看上去就和普通笔记本有着明显的不同.根据英特尔的定义,13英寸以下的超极本需在18mm以下,14英寸以上的大屏超极本可以扩宽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkWjdb.html" rel="bookmark" class="title">如何在Ubuntu环境下搭建邮件服务器（二）</a>
					<div>
						本教程的第 2 部分将介绍如何使用 Dovecot 将邮件从 Postfix 服务器移动到用户的收件箱. 在第一部分中,我们安装并测试了 Postfix SMTP 服务器.Postfix 或任何 SM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N5yLM.html" rel="bookmark" class="title">快速了解RESTEasy</a>
					<div>
						什么是 RESTEasy RESTEasy 是 JBoss 的一个开源项目,提供各种框架帮助你构建 RESTful Web Services 和 RESTful Java 应用程序.它是 JAX-RS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWVBjp.html" rel="bookmark" class="title">代码-关于网页设计的问题html</a>
					<div>
						问题描述 关于网页设计的问题html 我在本地写网页的代码是这样但上传到免费空间上 在网络打开代码却无缘无故多了style=&quot;&quot;border:dashed 2px red;back ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqoLKb.html" rel="bookmark" class="title">美国科技股遭抛售 独立分析师为苹果鸣不平</a>
					<div>
						美国一些独立分析师称,苹果这家市值达7500亿美元的公司引人同情.因为形势一帆风顺时,苹果没能成为科技股新贵俱乐部中的一员,而现在科技股遭抛售,苹果却未能幸免. 新浪美股 北京时间13日下午WSJ讯  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWPqWp.html" rel="bookmark" class="title">JavaWeb学习----http协议</a>
					<div>
						一.什么是HTTP协议: 1.概念: 客户端连上web服务器后,若想获得web服务器中的某个web资源,需遵守一定的通讯格式,HTTP协议用于定义客户端与web服务器通迅的格式(规定客户端和服务器如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn72Brz.html" rel="bookmark" class="title">java源码-求指点这个空填什么啊，不知道怎么填&quest;&quest;</a>
					<div>
						问题描述 求指点这个空填什么啊,不知道怎么填?? ?????????????????????????????????????????????????????????????????? 解决方案 s2= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEew2z.html" rel="bookmark" class="title">Spark学习之RDD简单算子</a>
					<div>
						collect 返回RDD的所有元素 scala&gt; var input=sc.parallelize(Array(-1,0,1,2,2))  input: org.apache.spark.rd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOyqb.html" rel="bookmark" class="title">请教一下，这样的网站要多少钱？</a>
					<div>
						问题描述 www.dhchina.cc;www.koegar.com;这样的网站怎么赚钱? 解决方案 解决方案二:http://www.koegar.com/颗佳高科主要是靠产品推广挣钱,它给别人推广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAgAp.html" rel="bookmark" class="title">浅谈QR码的未来</a>
					<div>
						由于微信开放公众平台,使得QR码的曝光率大大增加.不说各个网站为吸引用户所开展的抽奖活动,连QQ弹窗都频繁的弹出二维码广告--因为铺天盖地地推广,于是让大家再一次认识了QR码. 从QR码成为科技媒体的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4DVLz.html" rel="bookmark" class="title">在eclipse安装windowbuilder插件</a>
					<div>
						在线安装windowbuilder插件 1.查看所安装的eclipse的版本号(我安装的是Neon版) 2.打开http://www.eclipse.org/windowbuilder/downloa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZKKoM.html" rel="bookmark" class="title">Windows 98 SE 第二版 迅雷下载地址&lowbar;常用工具</a>
					<div>
						界面语言  简体中文   授权方式  商业软件 / 国产软件  软件类型  精品源码 / windows / 普通软件  软件大小  148 MB  推荐程度    相关链接  程序演示 作者主页 作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj9yWM.html" rel="bookmark" class="title">服务器未能识别 HTTP 标头 SOAPAction 的值</a>
					<div>
						SOAPAction HTTP request header被用来标识SOAP HTTP请求的目的地,其值是个URI地址.SOAP发送并不限制格式.URI特征或其必须可解析,那么在这种情况下,发送一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Q8Zb.html" rel="bookmark" class="title">api-安卓开发官网怎么离线也可以访问</a>
					<div>
						问题描述 安卓开发官网怎么离线也可以访问 我想请问一下,有谁知道怎么在没网的情况下看android开发者官网上还可以看API指导手册? 解决方案 用webzip.网文快捕等网站下载工具打包下载下来.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NrJop.html" rel="bookmark" class="title">CentOS 7告iptables防火墙提示Unit iptables&period;service failed to load</a>
					<div>
						一直用CentOS 6 习惯了,一下没适应过来.防火墙配置后执行service iptables save 出现&quot;Failed to restart iptables.service: Un ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW76YGM.html" rel="bookmark" class="title">通过Jquery的Ajax方法读取将table转换为Json&lowbar;jquery</a>
					<div>
						1. 创建Users表 复制代码 代码如下: create table Users ( UserId int identity(1,1) primary key, UserName varchar(2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1gZob.html" rel="bookmark" class="title">Google拟推网页浏览记录 允许用户自行整理</a>
					<div>
						      4月24日消息,Google公司日前表示,计划推出一项全新服务,帮助用户保存完整的网页浏览记录.      据vnunet报道,此项服务名为&quot;Google网页历史&quot;,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4Dakb.html" rel="bookmark" class="title">QQ窗口为何总是快人一步弹出</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 奥运期间,各网站纷纷使出浑身解数来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7w7V4z.html" rel="bookmark" class="title">轻描淡写网络营销策略之二：短信营销</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 提到短信营销大家可能认为是一种传统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWOOQz.html" rel="bookmark" class="title">视频-opencv如何用多边形进行掩膜？</a>
					<div>
						问题描述 opencv如何用多边形进行掩膜? 视频分析应用,图像为二值图像,给定多边形目标识别区域,用点组表示. 如何**高效地**用多边形区域掩膜掉无关区域?有无自带函数?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DG6jb.html" rel="bookmark" class="title">网络硬盘开发技巧之ASP&period;NET&plus;XML</a>
					<div>
						文件传送常用的三种方式FTP.Email及&quot;网上邻居&quot;都在一定程度上实现了文件数据的交流,但它们都主要面向&quot;点对点&quot;的传送,无法实现&quot;一块空间,资源互 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
